import JSDOMEnvironment from 'jest-environment-jsdom28';
import { JestEnvironmentConfig, EnvironmentContext } from '@jest/environment28';
import { Circus } from '@jest/types28';

declare class DSJSDOMTestEnvironment extends JSDOMEnvironment {
    private readonly debugger;
    constructor(config: JestEnvironmentConfig, context: EnvironmentContext);
    handleTestEvent(event: Circus.Event, state: Circus.State): Promise<void>;
}

export { DSJSDOMTestEnvironment as default };
